<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<HTML>
<!-- HEAD -->
<!-- person directory entry -->
<!-- DS_OBJECTCLASS "value=person" -->

<!-- DS_ENTRYBEGIN -->
<TITLE>
<!-- IF "Adding" -->
New
<!-- ENDIF // Adding -->
Person Entry -
<!-- DS_ATTRIBUTE "attr=dn" "syntax=dn" "options=nolink" -->
</TITLE>

<SCRIPT type="text/javascript">
<!-- Hide from non-JavaScript-capable browsers
function showVCard()
{
<!-- DS_ATTRIBUTE "attr=_vcard" "options=link,entities" "mimetype=text/x-vcard" "prefix=var cardurl=" "suffix=";" -->

    document.location.href = cardurl;
}


function showAimIcon()
{
var aimStatusText = "";
var aimID = "";

<!-- IF "DisplayAimPresence" -->
aimStatusText =
<!-- DS_ATTRIBUTE "attr=nsaimstatustext" "options=quoted" -->
;

aimID =
<!-- DS_ATTRIBUTE "attr=nsaimid" "options=quoted" -->
;
<!-- ENDIF -->

if (aimStatusText == "" || aimID == "" || aimStatusText != "ONLINE") {
  return;
}

document.write('<a href=\"aim:goim?Screenname=' + aimID.replace(/ /,"+") + '\"><IMG SRC=\"@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=aim-online.gif\" ALT=\"Click to send an AIM to this person\" BORDER=0 HSPACE=5><\/a>');
}

// End hiding -->
</SCRIPT>
<LINK REL=stylesheet TYPE="text/css" HREF="@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=style.css">
</HEAD>

<!-- IF "!Displaying" -->
<body bgcolor="#FFFFFF" style="marginheight:0; marginwidth:0; leftmargin:0; topmargin:0; rightmargin:0">
<table width="100%" class="bgColor1" cellspacing="0" cellpadding="0" border="0">
<tr style="width:100%" class="bgColor1">
<TD valign="top" class="bgColor1"><IMG src="@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=clear.gif" width="10" height="45" border="0"></TD>
<TD valign="middle" align="left" class="text15" width="100%">Person Entry</td>
</tr>
</table>
<table cellspacing="0" cellpadding="0">
<tr>
<td><IMG src="@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=clear.gif" width="1" height="10" border="0"></td>
</tr>
</table>
<!-- ELSE -->
<body bgcolor="#FFFFFF">
<!-- ENDIF -->

<div class="text22">
<!-- DS_LAST_OP_INFO -->
</div>
<!-- DS_BEGIN_ENTRYFORM -->

<TABLE><TR>
<TD>
<A HREF="javascript:showVCard()"><IMG SRC="@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=person.gif" ALT="Person (click to show card)"
    BORDER=0 HSPACE=5></A></TD>
<!-- IF "DisplayOrgChart" -->
<TD>
<A HREF=
<!-- DS_ORGCHARTLINK -->
 ><IMG SRC="@cgiuri@/lang?<!-- GCONTEXT -->&amp;file=orgicon.gif" BORDER=0 ALT="Click to display organization chart" HSPACE=5></a></TD>
<!-- ENDIF -->
<TD class="boldbig">
<!-- IF "Adding" -->
New Person -
<!-- ENDIF // Adding -->
<!-- DS_ATTRIBUTE "attr=dn" "syntax=dn" "dncomponents=2" "options=nolink" -->
</TD></TR></TABLE>

<TABLE><TR><TD>
<!-- IF "Displaying" -->
<INPUT TYPE="button" VALUE="Show Card" onClick="showVCard()">
</TD><TD>&nbsp;&nbsp;</TD><TD>
<!-- DS_EDITBUTTON "label=Edit Person" -->
<!-- ELIF "Adding" -->
<!-- DS_SAVEBUTTON "label=Save New Person" -->
<!-- ELIF "Editing" -->
<!-- DS_SAVEBUTTON -->
<!-- ENDIF // Editing -->
</TD><TD>&nbsp;&nbsp;</TD><TD>
<!-- IF "!Displaying" -->
<!-- DS_CLOSEBUTTON "label=Cancel" -->
<!-- ENDIF // !Displaying -->
</TD><TD>&nbsp;&nbsp;</TD><TD>
<!-- IF "Editing" -->
<!-- DS_HELPBUTTON "topic=EDIT_PERSON" -->
<!-- ELIF "Adding" -->
<!-- DS_HELPBUTTON "topic=ADD_PERSON" -->
<!-- ENDIF // Adding -->
</TD>

<!-- IF "Editing" -->
<TD>&nbsp;&nbsp;</TD><TD>
<!-- DS_EDITASBUTTON "label=Change Password" "template=passwd" -->
</TD><TD>
<!-- DS_RENAMEBUTTON "label=Rename Person" "prompt=Enter a new name for this person:" -->
</TD><TD>
<!-- DS_DELETEBUTTON "label=Delete Person" "prompt=Delete this person?" -->
</TD>
<!-- ENDIF // Editing -->

</TR></TABLE>

<!-- IF "Adding" -->
<INPUT TYPE="hidden" NAME="add_objectClass" VALUE="top">
<INPUT TYPE="hidden" NAME="add_objectClass" VALUE="person">
<!-- cannot have nested ifs - so uncomment if you want to use aim
<INPUT TYPE="hidden" NAME="add_objectClass" VALUE="nsaimpresence">
 end hiding -->
<!-- ENDIF // Adding -->

<!-- PCONTEXT -->
<INPUT TYPE="hidden" NAME="quiet" VALUE="true">
<!-- DS_STD_COMPLETION_JS -->

<!-- IF "!Displaying" -->
<div class="text22"><B>&nbsp; * Indicates a required field</B></div><br>
<!-- ENDIF -->

<TABLE CELLSPACING="2" BGCOLOR=#FFFFFF WIDTH=95%>
<TR>
<TH COLSPAN=4 align=left>
  Contact Information
  </TH>
</TR>
<TR>
<TD VALIGN="top" NOWRAP ROWSPAN="2"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Last Name:</TD>
<TD VALIGN="top" NOWRAP ROWSPAN="2">
<!-- DS_ATTRIBUTE "attr=sn" "cols=>16" -->
</TD>
<TD VALIGN="top" NOWRAP
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Common Name:
<!-- IF "!Displaying" -->
<b>*</b>
<!-- ENDIF -->
</TD>
<TD VALIGN="top" NOWRAP>
<!-- DS_ATTRIBUTE "attr=cn" "numfields=+1" "cols=>23" -->
</TD></TR>

<TR>
<TD VALIGN="TOP" NOWRAP
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>E-Mail Address:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=mail" "syntax=mail" "cols=>23" -->
</TD>
</TR>

<!-- IF "Adding" -->
<TR>
<TD>Password:</TD><TD>
<!-- DS_NEWPASSWORD "cols=>16" -->
</TD>
<TD> Repeat password to confirm:</TD><TD>
<!-- DS_CONFIRM_NEWPASSWORD "cols=>16" -->
</TD></TR>
<!-- ENDIF // Adding -->

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Phone:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=telephoneNumber" "syntax=tel" "cols=>16" "numfields=+1" -->
</TD>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>
<!-- IF "HaveAimSchema" -->
AIM ID:
<!-- ENDIF // HaveAimSchema -->
</TD>

<TD VALIGN="TOP" NOWRAP>
<!-- IF "HaveAimSchema" -->
<!-- DS_ATTRIBUTE "attr=nsaimid" "cols=>16" -->
<!-- ENDIF // HaveAimSchema -->
<!-- IF "DisplayAimPresence" -->
<SCRIPT type="text/javascript">
<!-- Hide from non-JavaScript-capable browsers
showAimIcon();
// End hiding -->
</SCRIPT>
<!-- ENDIF -->
</TD>
</TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Fax:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=facsimiletelephonenumber" "syntax=tel" "cols=>16" -->
</TD>
<TD VALIGN="TOP" NOWRAP
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>User ID:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=uid" "cols=>16" "options=unique" -->
</TD></TR>
<INPUT TYPE="hidden" NAME="desc_uid" VALUE="user id">
<!-- PCONTEXT -->

<TR>
<TD VALIGN="TOP" NOWRAP
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Pager:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=pager" "syntax=tel" "cols=>16" -->
</TD>
<TD VALIGN="TOP" NOWRAP
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Mobile Phone:<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=mobile" "syntax=tel" "cols=>16" -->
</TD></TR>

</TABLE>

<TABLE CELLSPACING="2" BGCOLOR=#FFFFFF WIDTH=95%>
<TR>
<TH align=left COLSPAN=4>
Business and Location Information</TH>
</TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Title:</TD>
<TD VALIGN="TOP" NOWRAP COLSPAN="3">
<!-- DS_ATTRIBUTE "attr=title" -->
</TD></TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Mailing Address:</TD>
<TD VALIGN="TOP" COLSPAN="3" NOWRAP>
<!-- DS_ATTRIBUTE "attr=postalAddress" "syntax=mls" "type=TEXTAREA" "cols=>40" "rows=>4" -->
</TD></TR>

</TABLE>

<TABLE CELLSPACING="2" BGCOLOR=#FFFFFF WIDTH=95%>
<TR>
<TH align=left COLSPAN=4>
Additional Information</TH>
</TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Description:</TD>
<TD VALIGN="TOP" NOWRAP COLSPAN="3">
<!-- DS_ATTRIBUTE "attr=description" "cols=>50" -->
</TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>See Also:<BR>
<!-- IF "!Adding" -->
<!-- DS_DNEDITBUTTON "label=Edit..." "template=dnedit" "attr=seeAlso" "desc=See Also" -->
<!-- ENDIF // !Adding -->
</TD>
<TD VALIGN="TOP" NOWRAP COLSPAN="3">
<!-- IF "Adding" -->
<I>You must save this entry before you can edit this field.</I>
<!-- ELSE // !Adding -->

<!-- DS_ATTRIBUTE "attr=seeAlso" "syntax=dn" "options=readonly" -->

<!-- ENDIF // !Adding -->
</TD></TR>

<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>URL:</TD>
<TD VALIGN="TOP" NOWRAP COLSPAN="3">
<!-- DS_ATTRIBUTE "attr=labeledURI" "syntax=url" "cols=>50" "options=sort" -->
</TR>

<!-- The following attribute should only be uncommented if you have
     a need to allow editing of the x500UniqueIdentifier attribute.
     Most installations will not need this functionality.
<TR>
<TD VALIGN="TOP"
<!-- IF "Displaying" -->
    class="bold"
<!-- ENDIF -->
>Unique ID:</TD>
<TD VALIGN="TOP" NOWRAP>
<!-- DS_ATTRIBUTE "attr=x500uniqueidentifier" "cols=>50" -->
</TR>
-->
<tr><td colspan="4" class="bgColor9">&nbsp;</td></tr>
</TABLE>

<!-- IF "!Adding" -->

<div class="text22">
&nbsp; This entry was last modified on <B>
<!-- DS_ATTRIBUTE "attr=modifyTimestamp" "syntax=time" "defaultvalue=N/A" "options=readonly" -->
</B> by <B>
<!-- DS_ATTRIBUTE "attr=modifiersName" "syntax=dn" "defaultvalue=N/A" "options=readonly" -->
</B>
</div>

<!-- ENDIF // !Adding -->


<!-- DS_END_ENTRYFORM -->
<!-- DS_ENTRYEND -->

<!-- ENDHTML -->
